[![Build Status](https://travis-ci.org/druid-io/druid.svg?branch=master)](https://travis-ci.org/druid-io/druid) [![Coverage Status](https://coveralls.io/repos/druid-io/druid/badge.svg?branch=master)](https://coveralls.io/r/druid-io/druid?branch=master)

## Druid

Druid is a distributed, column-oriented, real-time analytics data store
that is commonly used to power exploratory dashboards in multi-tenant
environments.

Druid excels as a data warehousing solution for fast aggregate queries on
petabyte sized data sets. Druid supports a variety of flexible filters, exact
calculations, approximate algorithms, and other useful calculations.

Druid can load both streaming and batch data and integrates with
Samza, Kafka, Storm, and Hadoop.

### License

[Apache License, Version 2.0](http://www.apache.org/licenses/LICENSE-2.0)

### More Information

More information about Druid can be found on <http://www.druid.io>.

### Documentation

You can find the [latest Druid Documentation](http://druid.io/docs/latest/) on
the [project website](http://druid.io/docs/latest/).

If you would like to contribute documentation, please do so under
`/docs/content` in this repository and submit a pull request.

### Tutorials

We have a series of tutorials to get started with Druid.  If you are just
getting started, we suggest going over the [first Druid
tutorial](http://druid.io/docs/latest/Tutorial:-A-First-Look-at-Druid.html).

### Reporting Issues

If you find any bugs, please file a [GitHub issue](https://github.com/druid-io/druid/issues).

### Community

Community support is available on the [druid-user mailing
list](https://groups.google.com/forum/#!forum/druid-user)(druid-user@googlegroups.com).

Development discussions occur on the [druid-development list](https://groups.google.com/forum/#!forum/druid-development)(druid-development@googlegroups.com).

We also have a couple people hanging out on IRC in `#druid-dev` on
`irc.freenode.net`.
