/*
 * Druid - a distributed column store.
 * Copyright 2012 - 2015 Metamarkets Group Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.druid.indexing.overlord.config;

import com.fasterxml.jackson.annotation.JsonProperty;
import org.joda.time.Period;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 */
public class RemoteTaskRunnerConfig
{
  @JsonProperty
  @NotNull
  private Period taskAssignmentTimeout = new Period("PT5M");

  @JsonProperty
  @NotNull
  private Period taskCleanupTimeout = new Period("PT15M");

  @JsonProperty
  private String minWorkerVersion = "0";

  @JsonProperty
  @Min(10 * 1024)
  private long maxZnodeBytes = 512 * 1024;

  public Period getTaskAssignmentTimeout()
  {
    return taskAssignmentTimeout;
  }

  @JsonProperty
  public Period getTaskCleanupTimeout(){
    return taskCleanupTimeout;
  }

  public String getMinWorkerVersion()
  {
    return minWorkerVersion;
  }

  public long getMaxZnodeBytes()
  {
    return maxZnodeBytes;
  }
}
